
// a simple driver for the pairfold

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>

// include the pairfold library
#include "pairfold.h"
#include "globals.h"


int main (int argc, char *argv[])
{
    char sequence1[MAXSLEN], sequence2[MAXSLEN];
    //    double entropy, Tm, H, S;
    //    double target_conc1, target_conc2, salt_conc;
    //    int self_comp;    
   
    if (argc != 3)
    {
        printf ("Usage: %s <sequence1> <sequence2>\n", argv[0]);
        return 0;
    }    
    strcpy (sequence1, argv[1]);
    strcpy (sequence2, argv[2]);
	
	/*
	// the following is an example of how to use pairfold_mfe function

    char structure[2*MAXSLEN];
    double energy;

    // Before calling any function in the library, you have to initialize config_file, dna_or_rna, temperature
    //     and to call the function init_data, which loads the thermodynamic parameters into memory    
    // configuration file, the path should relative to the location of this executable
    char config_file[200] = "params/multirnafold.conf";

    // what to fold: RNA or DNA
    int dna_or_rna = DNA;

    // temperature: any integer or real number between 0 and 100
    // represents degrees Celsius
    double temperature = 37; 

    // initialize the thermodynamic parameters
    // call init_data only once for the same dna_or_rna and same temperature
    // if one of them changes, call init_data again   
    init_data (argv[0], config_file, dna_or_rna, temperature);     

    energy = pairfold_mfe (sequence1, sequence2, structure);
    printf ("%s %s\n%s  %.2lf\n", sequence1, sequence2, structure, energy);     
	*/

	double Tm1, Tm2;
	// Use the following function if you want to use entropy and enthalpy patameters,
	// from Santalucia 2004 paper, DNA ONLY.
	Tm1 = calc_Tm_complementary_with_entropy_santalucia_2004 (sequence1, 1e-7, 1e-7, 1.0);
	Tm2 = calc_Tm_complementary_with_entropy_santalucia_2004 (sequence2, 1e-7, 1e-7, 1.0);
	printf ("Tm of %s \t is \t %.2lf\n", sequence1, Tm1);
	printf ("Tm of %s \t is \t %.2lf\n", sequence2, Tm2);
    return 0;
}


 
